org.apache.xerces.impl.dtd

## Class XMLSimpleType

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLSimpleType

    public class XMLSimpleType
    extends java.lang.Object

Version:
  $Id: XMLSimpleType.java 446755 2006-09-15 21:56:27Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`DatatypeValidator` `datatypeValidator` datatypeValidator
`static short` `DEFAULT_TYPE_DEFAULT` DEFAULT_TYPE_DEFAULT
`static short` `DEFAULT_TYPE_FIXED` DEFAULT_TYPE_FIXED
`static short` `DEFAULT_TYPE_IMPLIED` DEFAULT_TYPE_IMPLIED
`static short` `DEFAULT_TYPE_REQUIRED` DEFAULT_TYPE_REQUIRED
`short` `defaultType` defaultType
`java.lang.String` `defaultValue` defaultValue
`java.lang.String[]` `enumeration` enumeration
`boolean` `list` list
`java.lang.String` `name` name
`java.lang.String` `nonNormalizedDefaultValue` non-normalized defaultValue
`short` `type` type
`static short` `TYPE_CDATA` TYPE_CDATA
`static short` `TYPE_ENTITY` TYPE_ENTITY
`static short` `TYPE_ENUMERATION` TYPE_ENUMERATION
`static short` `TYPE_ID` TYPE_ID
`static short` `TYPE_IDREF` TYPE_IDREF
`static short` `TYPE_NAMED` TYPE_NAMED
`static short` `TYPE_NMTOKEN` TYPE_NMTOKEN
`static short` `TYPE_NOTATION` TYPE_NOTATION

### Constructor Summary

Constructors
Constructor and Description
`XMLSimpleType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` clear
`void` `setValues(short type, java.lang.String name, java.lang.String[] enumeration, boolean list, short defaultType, java.lang.String defaultValue, java.lang.String nonNormalizedDefaultValue, DatatypeValidator datatypeValidator)` setValues
`void` `setValues(XMLSimpleType simpleType)` Set values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_CDATA

    public static final short TYPE_CDATA

TYPE_CDATA

See Also:
  Constant Field Values

#### TYPE_ENTITY

    public static final short TYPE_ENTITY

TYPE_ENTITY

See Also:
  Constant Field Values

#### TYPE_ENUMERATION

    public static final short TYPE_ENUMERATION

TYPE_ENUMERATION

See Also:
  Constant Field Values

#### TYPE_ID

    public static final short TYPE_ID

TYPE_ID

See Also:
  Constant Field Values

#### TYPE_IDREF

    public static final short TYPE_IDREF

TYPE_IDREF

See Also:
  Constant Field Values

#### TYPE_NMTOKEN

    public static final short TYPE_NMTOKEN

TYPE_NMTOKEN

See Also:
  Constant Field Values

#### TYPE_NOTATION

    public static final short TYPE_NOTATION

TYPE_NOTATION

See Also:
  Constant Field Values

#### TYPE_NAMED

    public static final short TYPE_NAMED

TYPE_NAMED

See Also:
  Constant Field Values

#### DEFAULT_TYPE_DEFAULT

    public static final short DEFAULT_TYPE_DEFAULT

DEFAULT_TYPE_DEFAULT

See Also:
  Constant Field Values

#### DEFAULT_TYPE_FIXED

    public static final short DEFAULT_TYPE_FIXED

DEFAULT_TYPE_FIXED

See Also:
  Constant Field Values

#### DEFAULT_TYPE_IMPLIED

    public static final short DEFAULT_TYPE_IMPLIED

DEFAULT_TYPE_IMPLIED

See Also:
  Constant Field Values

#### DEFAULT_TYPE_REQUIRED

    public static final short DEFAULT_TYPE_REQUIRED

DEFAULT_TYPE_REQUIRED

See Also:
  Constant Field Values

#### type

    public short type

type

#### name

    public java.lang.String name

name

#### enumeration

    public java.lang.String[] enumeration

enumeration

#### list

    public boolean list

list

#### defaultType

    public short defaultType

defaultType

#### defaultValue

    public java.lang.String defaultValue

defaultValue

#### nonNormalizedDefaultValue

    public java.lang.String nonNormalizedDefaultValue

non-normalized defaultValue

#### datatypeValidator

    public DatatypeValidator datatypeValidator

datatypeValidator

### Constructor Detail

#### XMLSimpleType

    public XMLSimpleType()

### Method Detail

#### setValues

    public void setValues(short type,
                          java.lang.String name,
                          java.lang.String[] enumeration,
                          boolean list,
                          short defaultType,
                          java.lang.String defaultValue,
                          java.lang.String nonNormalizedDefaultValue,
                          DatatypeValidator datatypeValidator)

setValues

Parameters:
  `type` -
  `name` -
  `enumeration` -
  `list` -
  `defaultType` -
  `defaultValue` -
  `nonNormalizedDefaultValue` -
  `datatypeValidator` -

#### setValues

    public void setValues(XMLSimpleType simpleType)

Set values.

#### clear

    public void clear()

clear